export type I18nField = {
    en: string;
    fr: string;
};
export type Uniform = "CA" | "RCAF" | "RCN";
export type RankCategory = "FlagOfficer" | "SeniorOfficer" | "JuniorOfficer" | "SubordinateOfficer" | "SeniorNCO" | "JuniorNCM";
export type RankMeta = {
    uniform: {
        CA: I18nField;
        RCAF: I18nField;
        RCN: I18nField;
    };
    category: {
        FlagOfficer: I18nField;
        SeniorOfficer: I18nField;
        JuniorOfficer: I18nField;
        SubordinateOfficer: I18nField;
        SeniorNCO: I18nField;
        JuniorNCM: I18nField;
    };
};
export type Rank = {
    level: number;
    uniforms: Uniform[];
    title: I18nField;
    abbreviation: I18nField;
    category: RankCategory;
    getCategoryName: () => I18nField;
};
export declare const rankMeta: RankMeta;
export declare const allRanks: Rank[];
export declare function filterRanksByCategory(ranks: Rank[], category: RankCategory): Rank[];
export declare function filterRanksByUniform(ranks: Rank[], uniform: Uniform): Rank[];
declare const _default: {
    allRanks: Rank[];
    rankMeta: RankMeta;
    filterRanksByCategory: typeof filterRanksByCategory;
    filterRanksByUniform: typeof filterRanksByUniform;
};
export default _default;
