"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.allRanks = exports.rankMeta = void 0;
exports.filterRanksByCategory = filterRanksByCategory;
exports.filterRanksByUniform = filterRanksByUniform;
var caf_ranks_json_1 = __importDefault(require("./caf-ranks.json"));
exports.rankMeta = {
    uniform: caf_ranks_json_1.default.uniform,
    category: caf_ranks_json_1.default.category,
};
exports.allRanks = caf_ranks_json_1.default.allRanks.map(function (rank) { return (__assign(__assign({}, rank), { uniforms: rank.uniforms, category: rank.category, getCategoryName: function () {
        return exports.rankMeta.category[this.category];
    } })); });
function filterRanksByCategory(ranks, category) {
    return ranks.filter(function (rank) { return rank.category === category; });
}
function filterRanksByUniform(ranks, uniform) {
    return ranks.filter(function (rank) {
        return rank.uniforms.filter(function (_uniform) { return _uniform === uniform; }).length > 0;
    });
}
exports.default = {
    allRanks: exports.allRanks,
    rankMeta: exports.rankMeta,
    filterRanksByCategory: filterRanksByCategory,
    filterRanksByUniform: filterRanksByUniform,
};
